schemaVersion: "1.0"
pattern:
  id: "0b4916a2533b10176f641740"
  className: "ch.nevis.admin.v4.plugin.nevisidm.patterns.NevisIDMGenericBatchJob"
  name: "IDM Delete Expired Tickets Job"
  properties:
    job: "<bean id=\"deleteExpiredUrlTicketsJob\"  class=\"org.springframework.scheduling.quartz.JobDetailFactoryBean\"\
      >\n    <property name=\"description\" value=\"Delete expired url ticket credentials\"\
      />\n    <property name=\"jobClass\" value=\"ch.nevis.idm.batch.jobs.UpdateCredentialStateJob\"\
      />\n    <property name=\"durability\" value=\"true\"/>\n    <property name=\"\
      jobDataMap\">\n        <bean class=\"org.quartz.JobDataMap\">\n            <constructor-arg>\n\
      \                <map>\n                    <entry key=\"credentialTypes\" value=\"\
      URLTICKET\"/>\n                    <entry key=\"expireAction\" value=\"delete\"\
      />\n                    <entry key=\"sendingMethod\" value=\"None\"/>\n    \
      \                <!-- agov, OPERATIONS -->\n                    <entry key=\"\
      restrictToClients\" value=\"d9a334a6-b6f5-4982-a24e-13ae095a60fa, cfa9c9b9-119f-4dff-9bb8-86d7c0cf2720\"\
      />\n                </map>\n            </constructor-arg>\n        </bean>\n\
      \    </property>\n</bean>\n"
    trigger: "<bean id=\"deleteExpiredUrlTicketsJobTrigger\" class=\"org.springframework.scheduling.quartz.CronTriggerFactoryBean\"\
      >\n    <property name=\"description\" value=\"Delete expired url ticket credentials\"\
      />\n    <property name=\"jobDetail\" ref=\"deleteExpiredUrlTicketsJob\"/>\n\
      \    <property name=\"cronExpression\" value=\"45 0 0 * * ?\"/>\n</bean>"
